Bug 1667105 - Hammer help: it is not specified that compute_network should be specified by uuid
Summary: Hammer help: it is not specified that compute_network should be specified by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.7.0
Assignee: orabin
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-17 13:11 UTC by Lukáš Hellebrandt
Modified: 2020-04-14 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26334 Normal Closed Improve help text for RHV attributes for ID's 2020-04-27 13:30:19 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:59 UTC

Description Lukáš Hellebrandt 2019-01-17 13:11:19 UTC
Description of problem:
Hammer's help for "host create" command (and perhaps some others, edit etc.) says for ovirt's --interface parameter:

"""
    --interface:
      compute_name        Eg. eth0
      compute_network     Select one of available networks for a cluster
"""

The compute_network is expected to be specified by UUID. I always intuitively use Name and get 404 seemingly for no obvious reason. The help should specify that UUID is expected.

Version-Release number of selected component (if applicable):
Tested with Sat 6.5 snap 11 but probably happens on all versions

How reproducible:
Deterministic

Steps to Reproduce:
hammer host create --help

Actual results:
[...]
compute_network     Select one of available networks for a cluster
[...]

Expected results:
Anything that suggests to use UUID instead of Name

Comment 3 Shira Maximov 2019-09-03 13:15:52 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26334 from this bug

Comment 4 Bryan Kearney 2019-09-03 14:00:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26334 has been resolved.

Comment 5 Lukáš Hellebrandt 2019-11-20 14:53:30 UTC
Verified with Sat 6.7 snap 2. Hammer help for host {create,update} now says: "compute_network     Select one of available networks for a cluster, must be an ID"

Comment 8 errata-xmlrpc 2020-04-14 13:23:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.